<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_0ee0a25025d73f869" . "3a4bb37a3c298ac" => base64_decode("Y2hlY2" . "tlZF9p" . "bl9ieQ" . "=="), "_6e38cb9e043a07cd69a1711" . "a6704c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"), "_d5ebf376f635c188e" . "c65813608e6ece5" => base64_decode("bmV3X3Z" . "lcnNpb2" . "4="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0ee0a25025d73f8693a4bb37a3c" . "298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d5ebf376f635c188ec65" . "813608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6e38cb9e043a07cd69a1711a6704c6" . "2a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}